Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

When I try to do the system update I get this:

Failed to fetch http://rs.archive.ubuntu.com/ubuntu/pool/main/l/language-pack-en/language-pack-en_11.10+20111121_all.deb 404  Not Found
Failed to fetch http://rs.archive.ubuntu.com/ubuntu/pool/main/l/language-pack-gnome-en/language-pack-gnome-en_11.10+20111121_all.deb 404  Not Found
Failed to fetch http://rs.archive.ubuntu.com/ubuntu/pool/main/n/nautilus/libnautilus-extension1_3.2.1-0ubuntu3.1_i386.deb 404  Not Found
Failed to fetch http://rs.archive.ubuntu.com/ubuntu/pool/main/n/nautilus/nautilus-data_3.2.1-0ubuntu3.1_all.deb 404  Not Found
Failed to fetch http://rs.archive.ubuntu.com/ubuntu/pool/main/n/nautilus/nautilus_3.2.1-0ubuntu3.1_i386.deb 404  Not Found
Failed to fetch http://rs.archive.ubuntu.com/ubuntu/pool/main/b/banshee/banshee_2.2.1-1ubuntu2_i386.deb 404  Not Found
Failed to fetch http://rs.archive.ubuntu.com/ubuntu/pool/main/b/banshee/banshee-extension-soundmenu_2.2.1-1ubuntu2_i386.deb 404  Not Found
Failed to fetch http://rs.archive.ubuntu.com/ubuntu/pool/main/u/ubuntuone-client/libsyncdaemon-1.0-1_2.0.0-0ubuntu2.2_i386.deb 404  Not Found
Failed to fetch http://rs.archive.ubuntu.com/ubuntu/pool/main/u/ubuntuone-client/ubuntuone-client_2.0.0-0ubuntu2.2_all.deb 404  Not Found
Failed to fetch http://rs.archive.ubuntu.com/ubuntu/pool/main/u/ubuntuone-client/python-ubuntuone-client_2.0.0-0ubuntu2.2_all.deb 404  Not Found
Failed to fetch http://rs.archive.ubuntu.com/ubuntu/pool/main/b/banshee/banshee-extension-ubuntuonemusicstore_2.2.1-1ubuntu2_i386.deb 404  Not Found

How do I fix this?

share|improve this question
    
Which version are you updating? –  Bruno Pereira Jan 18 '12 at 8:48
    
version 11.10... –  Bojan Jan 18 '12 at 9:38
    
Are you connected to internet? Try: sudo apt-get update && sudo apt-get upgrade –  Alvar Jan 18 '12 at 10:27
add comment

2 Answers

I've faced a similar problem. The problem was that package repository mirror on rs.archive.ubuntu.com was not available. So I did the following to choose another mirror:

  • Open the sources.list file with your favourite text editor, e.g.

    sudo gedit /etc/apt/sources.list
    
  • Change the repostory URLs from rs.archive.ubuntu.com to another, e.g. us.archive.ubuntu.com

  • Save the file
  • Run a package list update, e.g.

    sudo apt-get update
    

    This should run without errors.

share|improve this answer
1  
Good suggestion to change mirrors. For a GUI installation you can change the mirror in the "Software Sources" system application as well, also accessible via the System updater. –  gertvdijk Dec 28 '12 at 11:09
add comment

This occurs when the packages you are trying to download are now superseded by newer versions.

To fix the problem, just refresh your software sources and try to update again.

You can do that in a terminal with

sudo apt-get update && sudo apt-get upgrade
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.